Subject: [os2genau_digest] No. 1502
From: Digest <deadmail>
To: "OS/2GenAu Digest"<deadmail>
Date: Fri, 8 Jun 2007 00:00:30 EST-10EDT,10,-1,0,7200,3,-1,0,7200,3600

**************************************************
Thursday 07 June 2007
 Number  1502
**************************************************

Subjects for today
 
1   Memory Limit : John Angelico" <talldad at kepl dot com dot au>
2  Re:  Memory Limit : Dennis Nolan <djn at aanet dot com dot au>

**= Email   1 ==========================**

Date:  Thu, 07 Jun 2007 21:18:35 +1000 (AEST)
From:  "John Angelico" <talldad at kepl dot com dot au>
Subject:   Memory Limit

From another list to which I am subscribed comes this little pearl of an
item:

[Begin]
Ask Dan: What's with the 3Gb memory barrier?

Date: 4 June 2007   Last updated 05/06/07.
<http://www.dansdata dot com/askdan00015.htm>

Question:
    You can install at least 4Gb of memory on most motherboards
    today, but apparently you shouldn't install more than 3Gb if
    you're not running a 64-bit operating system.

    Why?
    Can't a 32-bit version of Windows (or Linux, or whatever)
    address 4,294,967,296 bytes (two to the power of 32) of
    memory, by definition?

    When I open Task Manager and click the Performance tab, I see
    the memory limit is way more than 4Gb. I understand that
    includes the swap file, but if Windows can handle 8Gb or
    whatever of total memory including swap, why can't it handle
    4Gb of physical RAM?

    Steve

The executive summary:
Yes, a plain PC running a 32-bit operating system - and if you're
wondering if that includes your PC, then it almost definitely
does - shouldn't have more than 3Gb of RAM (as I mentioned in
passing in this Ask Dan), if you don't want to waste quite a lot
of the last gigabyte.

If you install 4Gb, there is no way to make all of the RAM
between 3Gb and 4Gb available without installing a 64-bit OS,
which you can't do unless you have a 64-bit CPU.
And even then it won't necessarily work.

So, to avoid hassles on current systems, it's best to stick with
3Gb or less.

Fortunately, this isn't a big problem for most people, provided
they know about it in advance. Three gigs is enough for even
quite serious applications, and it's easy to install on most
motherboards (two 1Gb modules, two 512Mb ones). And very nearly
all of that three gigabytes will actually be seen by the system.

{More details on web site}
[End]

Would anyone like to tell us all if eCS-OS/2 suffers from this problem, or
if we are exempt because of the "flat memory model" which I and many other
early users of OS/2 would have heard a hundred times over when describing
the Great Leap Forward into the 32-bit world.

Best regards
John Angelico
OS/2 SIG
os2 at melbpc dot org dot au or 
talldad at kepl dot com dot au
___________________

----------------------------------------------------------------------------------

**= Email   2 ==========================**

Date:  Thu, 07 Jun 2007 23:30:17 +1000
From:  Dennis Nolan <djn at aanet dot com dot au>
Subject:  Re:  Memory Limit

According to "Inside OS/2 2.0" OS/2 can use the full 4Gb of physical 
memory and much more virtual memory.

I'm not sure how the video card's memory is handled, and I've forgotten 
whether I/O addresses are mapped into physical memory. Just looked up 
the 80386 specs (almost threw the book out last week, but couldn't bear 
to do it) and I/O address space is separate from normal RAM.

So in conclusion it seems that OS/2 can access all 4Gb of RAM

Regards
Dennis.

John Angelico wrote:
> >From another list to which I am subscribed comes this little pearl of an
> item:
>
> [Begin]
> Ask Dan: What's with the 3Gb memory barrier?
>
> Date: 4 June 2007   Last updated 05/06/07.
> <http://www.dansdata dot com/askdan00015.htm>
>
> Question:
>     You can install at least 4Gb of memory on most motherboards
>     today, but apparently you shouldn't install more than 3Gb if
>     you're not running a 64-bit operating system.
>
>     Why?
>     Can't a 32-bit version of Windows (or Linux, or whatever)
>     address 4,294,967,296 bytes (two to the power of 32) of
>     memory, by definition?
>
>     When I open Task Manager and click the Performance tab, I see
>     the memory limit is way more than 4Gb. I understand that
>     includes the swap file, but if Windows can handle 8Gb or
>     whatever of total memory including swap, why can't it handle
>     4Gb of physical RAM?
>
>     Steve
>
> The executive summary:
> Yes, a plain PC running a 32-bit operating system - and if you're
> wondering if that includes your PC, then it almost definitely
> does - shouldn't have more than 3Gb of RAM (as I mentioned in
> passing in this Ask Dan), if you don't want to waste quite a lot
> of the last gigabyte.
>
> If you install 4Gb, there is no way to make all of the RAM
> between 3Gb and 4Gb available without installing a 64-bit OS,
> which you can't do unless you have a 64-bit CPU.
> And even then it won't necessarily work.
>
> So, to avoid hassles on current systems, it's best to stick with
> 3Gb or less.
>
> Fortunately, this isn't a big problem for most people, provided
> they know about it in advance. Three gigs is enough for even
> quite serious applications, and it's easy to install on most
> motherboards (two 1Gb modules, two 512Mb ones). And very nearly
> all of that three gigabytes will actually be seen by the system.
>
> {More details on web site}
> [End]
>
> Would anyone like to tell us all if eCS-OS/2 suffers from this problem, or
> if we are exempt because of the "flat memory model" which I and many other
> early users of OS/2 would have heard a hundred times over when describing
> the Great Leap Forward into the 32-bit world.
>
>
>
> Best regards
> John Angelico
> OS/2 SIG
> os2 at melbpc dot org dot au or 
> talldad at kepl dot com dot au
> ___________________
>

>  

>
>
>   
----------------------------------------------------------------------------------